package com.hotent.baseInfo.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 字典类型表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-13
 */
@ApiModel(value="CostDictType对象", description="字典类型表")
public class CostDictType extends BaseModel<CostDictType> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "字典主键")
    @TableId(value = "dict_id", type = IdType.AUTO)
    @JsonProperty("dictId")
    private Long dictId;
    
    @ApiModelProperty(value = "字典名称",required = true)
    @TableField("dict_name")
    @JsonProperty("dictName")
    private String dictName;
    
    @ApiModelProperty(value = "字典类型",required = true)
    @TableField("dict_type")
    @JsonProperty("dictType")
    private String dictType;
    
    @ApiModelProperty(value = "状态（0正常 1停用）",required = true)
    @TableField("status")
    @JsonProperty("status")
    private String status;
    
    @ApiModelProperty(value = "创建者")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;
    
    @ApiModelProperty(value = "更新者")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;
    
    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;
    
    @ApiModelProperty(value = "备注")
    @TableField("remark")
    @JsonProperty("remark")
    private String remark;
    

    public Long getDictId() {
        return dictId;
    }

    public void setDictId(Long dictId) {
        this.dictId = dictId;
    }
    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }
    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }


    @Override
    protected Serializable pkVal() {
        return this.dictId;
    }

    @Override
    public String toString() {
        return "CostDictType{" +
            "dictId=" + dictId +
            ", dictName=" + dictName +
            ", dictType=" + dictType +
            ", status=" + status +
            ", createBy=" + createBy +
            ", createTime=" + createTime +
            ", updateBy=" + updateBy +
            ", updateTime=" + updateTime +
            ", remark=" + remark +
        "}";
    }
}
